
#!/bin/bash

# 检查是否已经安装 wget 和 unzip 工具
if ! [ -x "$(command -v wget)" ] || ! [ -x "$(command -v unzip)" ]; then
    echo "错误：此脚本需要 'wget' 和 'unzip' 工具，请确保已安装这两个工具。"
    exit 1
fi

# 提示用户输入链接
echo "请注意，执行该文件你的位于'TVBox/自输入'文件夹下的所有文件将可能会被被删除，请注意备份"
echo "请输入ZIP文件的URL地址："
read zip_url

# 验证链接是否指向ZIP文件
if [[ ! "$zip_url" =~ \.zip$ ]]; then
    echo "错误：提供的URL似乎不是指向ZIP文件。"
    exit 1
fi

# 设置解压的目标目录为主目录下的子目录
target_dir="/sdcard/TVBox/自输入"
# 或者使用 /storage/emulated/0/
# target_dir="/storage/emulated/0/my_folder"

# 打印解压位置
echo "解压位置：$target_dir"

# 如果目标目录存在，则删除它及其内容
#if [ -d "$target_dir" ]; then
#    rm -rf "$target_dir"
#fi

# 创建新的目标目录
mkdir -p "$target_dir"

# 下载ZIP文件
echo "正在下载ZIP文件..."
wget --quiet -O temp.zip "$zip_url"

# 检查下载是否成功
if [ $? -ne 0 ]; then
    echo "错误：下载ZIP文件失败。"
    exit 1
fi

# 解压ZIP文件
echo "正在解压ZIP文件..."
unzip -o -q "temp.zip" -d "$target_dir"

# 检查解压是否成功
if [ $? -ne 0 ]; then
    echo "错误：解压ZIP文件失败。"
    exit 1
fi

# 清理临时文件
rm "temp.zip"

# 打印完成信息
echo "ZIP文件已成功下载并解压。"
echo "解压部署完成，请自行导入本地包主文件，本地包在'TVBox/自输入'文件夹"
